﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace KillingClientUI
{
    // NOTE: If you change the interface name "IMessageDistribute" here, you must also update the reference to "IMessageDistribute" in Web.config.
    [ServiceContract(Namespace = "KillPersonServerApp", Name = "MessageDistribution")]
    public interface IMessageDistribute
    {
        //This is for client to receive news message from host server
        //This message will be showed on board.
        [OperationContract]
        bool ReceiveNewsMsg(string strMsg);

        //This is for client to receive news message from host server
        //This message will be showed on board.
        [OperationContract]
        bool GameStart(GameInfo gameStart);

        [OperationContract]
        bool ReceiveVoteResult(VoteResult voteResult);
    }
}
